%% Master Thesis - Non-linear Wave Impact on Monopile Structures

%  Philipp Schpfer - KTH (Stockholm) & NTNU (Trondheim)

%  In Corporation With Ramboll Denmark AS, Esbjerg

%  21.06.2016 -  Results of single wave assessment
%  OCW3D plus ROSA - breaking filter BF = 0.4g
 
clear all
close all
clc

%% Reading data
% Loading single wave anlysis and erasing zero entries

data_W = dlmread('W_S5_X3_04.txt', '',[4 4 503 6]);                 
Erase = find(data_W(:,1)==0);                                       
data_W(Erase(1):end,:) = [];

% Loading ROSA output file for OTM
data_O = dlmread('QS_S5_X3_04_SED1_rp02_0006.txt', '',5,2);         

t = data_O(:,1);                         % [s] - time span

%% Wave height of each single wave within non-linear sea state - zero down crossing

res = data_W(:,1);                       % [m] - wave height for single waves

%% Wave period of each single wave within non-linear sea state - zero down crossing

for n=1:length(data_W)
    
    res(n,2)=data_W(n,3)-data_W(n,2);    % [s] - wave height for single waves
    
end

%% Overturning moment induced by each single wave within non-linear sea state- zero down crossing

for n=1:length(data_W)
    
t1 = max(find(t<data_W(n,2)));
t2 = min(find(t>data_W(n,3)));

res(n,3) = max((data_O(t1:t2,2)));

end

%% Saving data for every combination of seed and x-position

QS_S5_X3_04 = res;
save('QS_S5_X3_04','QS_S5_X3_04');

% End of code
