function [Fd,Fi,Fs] = MorisonLoad(Cd,Cm,rho,D,z_new,u_new,a1_new)

dz = z_new(2,1)-z_new(1,1);              % [m] - sectional devision in z-direction

Fd = Cd*rho*0.5*D*dz.*abs(u_new).*u_new; % [N] - drag component

Fi = Cm*rho*pi*(D^2/4)*dz.*a1_new;       % [N] - inertia component   

Fs = Fd+Fi;                              % [N] - shear/wave load (Morison force)    

end
